#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
    ui->setupUi(this);   
}

MainWindow::~MainWindow()
{
    delete ui;
}

void MainWindow::textBrowser_ausgabe(QString befehl){
    ausgabe=url + befehl + "\n";
    ui->textBrowser_ausgabe->clear();
    ui->textBrowser_ausgabe->insertPlainText(ausgabe);
}

void MainWindow::sende_befehl(QString befehl){
    ausgabe=url + befehl;

    manager = new QNetworkAccessManager(this);
    QNetworkRequest request(ausgabe);
    QNetworkReply *reply = manager->get(request);

    connect(reply, &QNetworkReply::finished, [=]() {
        if(reply->error() == QNetworkReply::NoError){
            QByteArray response = reply->readAll();
            ui->textBrowser_ausgabe->insertPlainText(response+"\n");
            ui->statusbar->showMessage("Ok.");
        }else{ // handle error
            ui->textBrowser_ausgabe->insertPlainText(reply->errorString()+"\n");
            ui->statusbar->showMessage("Fehler.");
        }
    });
}

void MainWindow::on_pushButton_pause_clicked(){
    befehl=pause1;
    textBrowser_ausgabe(befehl);
    sende_befehl(befehl);

    befehl=pause2;
    textBrowser_ausgabe(befehl);
    sende_befehl(befehl);
}

void MainWindow::on_pushButton_play_clicked(){
    befehl=play1;
    textBrowser_ausgabe(befehl);
    sende_befehl(befehl);

    befehl=pause2;
    textBrowser_ausgabe(befehl);
    sende_befehl(befehl);
}

void MainWindow::on_pushButton_fade_clicked(){
    befehl=fade;
    textBrowser_ausgabe(befehl);
    sende_befehl(befehl);
}

void MainWindow::on_textBrowser_ausgabe_selectionChanged(){
    befehl=getfile;
    textBrowser_ausgabe(befehl);
    sende_befehl(befehl);
}

