#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QString>
#include <QtNetwork/QNetworkAccessManager>
#include <QtNetwork/QNetworkRequest>
#include <QtNetwork/QNetworkReply>
#include <QPalette>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private slots:
    void on_pushButton_pause_clicked();
    void on_pushButton_play_clicked();

    void on_pushButton_fade_clicked();

    void on_textBrowser_ausgabe_selectionChanged();

private:
    Ui::MainWindow *ui;

    void textBrowser_ausgabe(QString);
    void sende_befehl(QString);

    QNetworkAccessManager *manager;

    QString ip="192.168.100.7";
    QString port="80";
    QString url="http://" + ip + ":" + port + "/";
    QString ausgabe;
    QString befehl;
    QString pause1="PAUSE1";
    QString pause2="PAUSE2";
    QString play1="PLAY1";
    QString fade="FADENOW";
    QString getfile="LIST_GETFILE";
};
#endif // MAINWINDOW_H
